"use strict";

var enforceHTTPS = function() {
	return function(req, res, next) {

		// First, check if directly requested via https
		var isHttps = req.secure;

		if(!isHttps) {
			next();
		} else {
			// Only redirect GET methods
			if(req.method === "GET") {
				res.redirect(301, "https://" + req.headers.host + req.originalUrl);
			} else {
				res.send(403, "Please use HTTPS when submitting data to this server.");
			}
		}
	}
};

exports.HTTPS = enforceHTTPS;
